Loading...
Searching...
No Matches
hueplusplus::CreateSchedule Class Reference

Parameters for creating a new Schedule. More...

`#include <hueplusplus/Schedule.h>`

## Public Member Functions

CreateSchedule & | setName (const std::string &name)
| Set name.
CreateSchedule & | setDescription (const std::string &description)
| Set description.
CreateSchedule & | setCommand (const Action &command)
| Set command.
CreateSchedule & | setTime (const time::TimePattern &time)
| Set time.
CreateSchedule & | setStatus (bool enabled)
| Set status.
CreateSchedule & | setAutodelete (bool autodelete)
| Set autodelete.
CreateSchedule & | setRecycle (bool recycle)
| Set recycle.
nlohmann::json | getRequest () const
| Get request to create the schedule.

## Detailed Description

Parameters for creating a new Schedule.

Can be used like a builder object with chained calls.

## Member Function Documentation

## getRequest()

nlohmann::json hueplusplus::CreateSchedule::getRequest | ( |  | ) | const

Get request to create the schedule.

Returns
  JSON request for a POST to create the new schedule

## setAutodelete()

CreateSchedule & hueplusplus::CreateSchedule::setAutodelete | ( | bool | autodelete | ) |

Set autodelete.

See also
  Schedule::setAutodelete

## setCommand()

CreateSchedule & hueplusplus::CreateSchedule::setCommand | ( | const Action & | command | ) |

Set command.

See also
  Schedule::setCommand

## setDescription()

CreateSchedule & hueplusplus::CreateSchedule::setDescription | ( | const std::string & | description | ) |

Set description.

See also
  Schedule::setDescription

## setName()

CreateSchedule & hueplusplus::CreateSchedule::setName | ( | const std::string & | name | ) |

Set name.

See also
  Schedule::setName

## setRecycle()

CreateSchedule & hueplusplus::CreateSchedule::setRecycle | ( | bool | recycle | ) |

Set recycle.

When recycle is true, it is deleted when no resourcelinks refer to it.

## setStatus()

CreateSchedule & hueplusplus::CreateSchedule::setStatus | ( | bool | enabled | ) |

Set status.

See also
  Schedule::setEnabled

## setTime()

CreateSchedule & hueplusplus::CreateSchedule::setTime | ( | const time::TimePattern & | time | ) |

Set time.

See also
  Schedule::setTime

The documentation for this class was generated from the following files:

- include/hueplusplus/Schedule.h
- src/Schedule.cpp